/*
* Classe che va a rappresentare un film
*
* @autor Ciausu Angelo
* @version 1.1
*/
public class Film {

    private String titolo;
    private int durata;
    private String sala;
    private int postiTotali;
    private int postiRimasti;

    public Film(String titolo, int durata, String sala, int posti) {
        this.titolo = titolo;
        this.durata = durata;
        this.sala = sala;
        this.postiTotali = posti;
        this.postiRimasti = posti;
    }

    public boolean vendiBiglietti(int numeroBiglietti) {
        if (numeroBiglietti <= postiRimasti) {
            postiRimasti = postiRimasti - numeroBiglietti;
            return true;
        }
        return false;
    }

    public String toString() {
        return "Film: " + titolo + " (Durata: " + durata + " min)" + " - Sala: " + sala + " - Posti: " + postiRimasti;
    }

    public String getTitolo() {
        return titolo;
    }

    public int getDurata() {
        return durata;
    }

    public String getSala() {
        return sala;
    }

    public int getPostiRimasti() {return postiRimasti;}

}
